Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libpwquality-tools-1.4.5-1.5 RPM for ppc64le

From OpenSuSE Ports Tumbleweed for ppc64le

Name: libpwquality-tools Distribution: openSUSE Tumbleweed
Version: 1.4.5 Vendor: openSUSE
Release: 1.5 Build date: Wed Aug 30 15:11:58 2023
Group: Productivity/Security Build host: obs-power9-13
Size: 138781 Source RPM: libpwquality-1.4.5-1.5.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/libpwquality/libpwquality
Summary: Tools from libpequality, a library for password quality checking
libpwquality is a library for password quality checks and generation
of random passwords that pass the checks.

This package contains simple tools that use libpwquality.

Provides

Requires

License

BSD-3-Clause OR GPL-2.0-or-later

Changelog

* Mon Dec 26 2022 Andreas Stieger <andreas.stieger@gmx.de>
  - Update to version 1.4.5:
    + Minor bug fixes and documentation enhancements.
    + Updated translations.
* Mon Jan 17 2022 Michael Gorse <mgorse@suse.com>
  - Add python-rpm-macros to BuildRequires (boo#1194757).
* Tue Sep 28 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Use %_pam_moduledir instead of hardcoding %{_lib}/security
    (boo#1191042).
* Tue Jan 05 2021 Josef Möllers <josef.moellers@suse.com>
  - Do not use macro %make_build pre SLE-15
    Use "make -O %{?_smp_mflags}" instead
    [libpwquality.spec]
* Fri Oct 16 2020 Danny Sauer <dsauer@suse.com>
  - update to 1.4.4
    * e11f2bd Fix regression with enabling cracklib check
    * 02e6728 Use make macros in rpm spec file
    * xxxxxxx Translated using Weblate (Polish, Turkish, Ukrainian)
  - update to 1.4.3
    * 1213d33 Update translation files
    * a951fbe Add --disable-cracklib-check configure parameter
    * 6a8845b fixup static compilation
    * 92c6066 python: Add missing getters/setters for newly added settings
    * bfef79d Add usersubstr check
    * 09a2e65 pam_pwquality: Add debug message for the local_users_only option
    * a6f7705 Fix some gcc warnings
    * 8c8a260 pwmake: Properly validate the bits parameter.
    * 7be4797 we use Fedora Weblate now
    * xxxxxxx Translated using Weblate (Azerbaijani, Bulgarian,
      Chinese (Simplified), Czech, French, Friulian, Hungarian, Italian,
      Japanese, Norwegian Bokmål, Persian, Russian, Spanish, Turkish)
* Thu Aug 20 2020 Dirk Mueller <dmueller@suse.com>
  - update to 1.4.2:
    * Fix regression in handling retry, enforce_for_root, and
      local_users_only options introduced with the previous
      release.
* Mon May 18 2020 Fabian Vogt <fvogt@suse.com>
  - Register with pam-config in %post(un)
* Fri May 01 2020 Thorsten Kukuk <kukuk@suse.com>
  - Add baselibs.conf
* Thu Sep 19 2019 Bjørn Lie <bjorn.lie@gmail.com>
  - Update to version 1.4.1:
    + Minor bugfix update of the library.
  - Drop libpwquality-pythons.patch: Fixed upstream. Following this,
    drop autoconf, automake and libtool BuildRequires and autoreconf
    call.
  - Use modern macros.
* Thu Sep 19 2019 Ludwig Nussel <lnussel@suse.de>
  - Do not recommend lang package. The lang package already has a
    supplements.

Files

/usr/bin/pwmake
/usr/bin/pwscore
/usr/share/man/man1/pwmake.1.gz
/usr/share/man/man1/pwscore.1.gz


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Jan 9 10:47:10 2024